> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workspace Users

> Retrieves a paginated list of users in a workspace.



## OpenAPI

````yaml GET /api/v1/workspaces/{workspace_id}/users
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/workspaces/{workspace_id}/users:
    parameters:
      - in: path
        name: workspace_id
        description: The ID of the workspace.
        example: 01kfj20p4jw63sp4jqtfm3kg1m
        required: true
        schema:
          type: string
    get:
      tags:
        - Workspace User
      summary: List Workspace Users
      description: Retrieves a paginated list of users in a workspace.
      operationId: listWorkspaceUsers
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - id: 01kqh44c37apzs7pvs1gdatz57
                      name: Jane Smith
                      email: dare.emelie@example.com
                      role: null
                      is_owner: false
                      modules: []
                      agent_ids: []
                    - id: 01kqh44cjxkx5qgtamexrsypag
                      name: Jane Smith
                      email: okeefe.isidro@example.org
                      role: null
                      is_owner: false
                      modules: []
                      agent_ids: []
                  meta:
                    per_page: 20
                    next_cursor: null
                    prev_cursor: null
                properties:
                  data:
                    type: array
                    example:
                      - id: 01kqh44c37apzs7pvs1gdatz57
                        name: Jane Smith
                        email: dare.emelie@example.com
                        role: null
                        is_owner: false
                        modules: []
                        agent_ids: []
                      - id: 01kqh44cjxkx5qgtamexrsypag
                        name: Jane Smith
                        email: okeefe.isidro@example.org
                        role: null
                        is_owner: false
                        modules: []
                        agent_ids: []
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: 01kqh44c37apzs7pvs1gdatz57
                        name:
                          type: string
                          example: My Agent
                        email:
                          type: string
                          example: dare.emelie@example.com
                        role:
                          type: string
                          example: null
                          nullable: true
                        is_owner:
                          type: boolean
                          example: false
                        modules:
                          type: array
                          example: []
                        agent_ids:
                          type: array
                          example: []
                  meta:
                    type: object
                    properties:
                      per_page:
                        type: integer
                        example: 20
                      next_cursor:
                        type: string
                        example: null
                        nullable: true
                      prev_cursor:
                        type: string
                        example: null
                        nullable: true
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````